import { ImageFile } from '../components/UiInputImagesModel';
declare const _sfc_main: import("vue").DefineComponent<{
    modelValue: {
        type: ArrayConstructor;
        required: true;
        default: () => never[];
    };
    maxCount: {
        type: NumberConstructor;
        required: true;
        default: number;
    };
    requestWidth: {
        type: NumberConstructor;
        required: true;
        default: number;
    };
    requestHeight: {
        type: NumberConstructor;
        required: true;
        default: number;
    };
}, {
    props: any;
    emit: {
        (e: 'update:modelValue', value: ImageFile[]): void;
        (e: 'invalidFileSelected', errorCode: 'InvalidType' | 'SizeOverflow', file: File): void;
    };
    deleteFile: (file: ImageFile) => void;
    fileInput: import("vue").Ref<any>;
    clickSelectFile: () => void;
    isValidFile: (file: File) => boolean;
    selectFile: (event: Event) => void;
    objectUrls: string[];
    createUrl: (file: File) => string;
    clearObjectUrls: () => void;
    UiImage: import("vue").DefineComponent<{
        fileUrl: {
            type: StringConstructor;
            required: false;
        };
        alt: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        height: {
            type: StringConstructor;
            required: false;
        };
        requestWidth: {
            type: NumberConstructor;
            required: false;
        };
        requestHeight: {
            type: NumberConstructor;
            required: false;
        };
        loadingWidth: {
            type: StringConstructor;
            required: false;
        };
        loadingHeight: {
            type: StringConstructor;
            required: false;
        };
        quality: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        lazy: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        preventCopy: {
            type: BooleanConstructor;
            required: false;
            default: () => boolean;
        };
        useSrcset: {
            type: BooleanConstructor;
            required: false;
        };
        srcsetMaxResolution: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        hideImageOnError: {
            type: BooleanConstructor;
            required: false;
        };
        imageRatio: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        errorImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
        blankImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
    }, {
        props: any;
        shouldUseDefaultImage: import("vue").ComputedRef<boolean>;
        imageResizeAvailable: import("vue").ComputedRef<boolean>;
        createImageUrl: (src?: string | undefined, width?: number | undefined, height?: number | undefined) => string | undefined;
        imageSrc: import("vue").ComputedRef<string | undefined>;
        imageSrcSet: import("vue").ComputedRef<string | undefined>;
        shouldLoad: import("vue").Ref<boolean>;
        startLoadImage: () => void;
        imageLoaded: import("vue").Ref<boolean>;
        setImageLoaded: () => void;
        imageWidth: import("vue").ComputedRef<string | undefined>;
        imageHeight: import("vue").ComputedRef<string | undefined>;
        loadFailed: import("vue").Ref<boolean>;
        setLoadFailed: () => void;
        errorImageUrl: import("vue").ComputedRef<string | undefined>;
        blankImageUrl: import("vue").ComputedRef<string | undefined>;
        imageDisplay: import("vue").ComputedRef<string | undefined>;
        readonly vLazy: import("vue").Directive<any, any>;
        readonly vPreventCopy: import("vue").Directive<any, any>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        fileUrl: {
            type: StringConstructor;
            required: false;
        };
        alt: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        height: {
            type: StringConstructor;
            required: false;
        };
        requestWidth: {
            type: NumberConstructor;
            required: false;
        };
        requestHeight: {
            type: NumberConstructor;
            required: false;
        };
        loadingWidth: {
            type: StringConstructor;
            required: false;
        };
        loadingHeight: {
            type: StringConstructor;
            required: false;
        };
        quality: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        lazy: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        preventCopy: {
            type: BooleanConstructor;
            required: false;
            default: () => boolean;
        };
        useSrcset: {
            type: BooleanConstructor;
            required: false;
        };
        srcsetMaxResolution: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        hideImageOnError: {
            type: BooleanConstructor;
            required: false;
        };
        imageRatio: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        errorImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
        blankImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
    }>>, {
        quality: number;
        lazy: boolean;
        preventCopy: boolean;
        useSrcset: boolean;
        srcsetMaxResolution: number;
        hideImageOnError: boolean;
        imageRatio: number;
        errorImage: string;
        blankImage: string;
    }>;
    UiButton: import("vue").DefineComponent<{
        caption: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        href: {
            type: StringConstructor;
            required: false;
        };
        replace: {
            type: BooleanConstructor;
            required: false;
        };
        routerTo: {
            type: StringConstructor;
            required: false;
        };
        buttonType: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        icon: {
            type: StringConstructor;
            required: false;
        };
        iconDirection: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            required: false;
        };
    }, {
        props: any;
        iconClass: import("vue").ComputedRef<string>;
        extraClass: import("vue").ComputedRef<string>;
        isComponentLink: import("vue").ComputedRef<boolean>;
        checkComponentLinkOrButton: import("vue").ComputedRef<"button" | import("vue").DefineComponent<{
            href: {
                type: StringConstructor;
                required: false;
            };
            target: {
                type: StringConstructor;
                required: false;
            };
            replace: {
                type: BooleanConstructor;
                required: false;
            };
        }, {
            props: any;
            isTargetSelf: import("vue").ComputedRef<boolean>;
            instance: import("vue").ComponentInternalInstance | null;
            isVueRouterInstalled: boolean;
            router: import("vue-router").Router | undefined;
            routerBase: string;
            isInternalLink: import("vue").ComputedRef<"" | "RELATIVE_PATH" | "SAME_ORIGIN" | undefined>;
            computedHref: import("vue").ComputedRef<string | undefined>;
            component: import("vue").ComputedRef<import("vue-router")._RouterLinkI | "a">;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
            href: {
                type: StringConstructor;
                required: false;
            };
            target: {
                type: StringConstructor;
                required: false;
            };
            replace: {
                type: BooleanConstructor;
                required: false;
            };
        }>>, {
            replace: boolean;
        }>>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        caption: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        href: {
            type: StringConstructor;
            required: false;
        };
        replace: {
            type: BooleanConstructor;
            required: false;
        };
        routerTo: {
            type: StringConstructor;
            required: false;
        };
        buttonType: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        icon: {
            type: StringConstructor;
            required: false;
        };
        iconDirection: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            required: false;
        };
    }>>, {
        caption: string;
        replace: boolean;
        buttonType: string;
        iconDirection: string;
        disabled: boolean;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "invalidFileSelected")[], "update:modelValue" | "invalidFileSelected", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: ArrayConstructor;
        required: true;
        default: () => never[];
    };
    maxCount: {
        type: NumberConstructor;
        required: true;
        default: number;
    };
    requestWidth: {
        type: NumberConstructor;
        required: true;
        default: number;
    };
    requestHeight: {
        type: NumberConstructor;
        required: true;
        default: number;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onInvalidFileSelected?: ((...args: any[]) => any) | undefined;
}, {
    modelValue: unknown[];
    requestWidth: number;
    requestHeight: number;
    maxCount: number;
}>;
export default _sfc_main;
