/// <reference types="youtube" />
import { MediaType } from '../components/UiMediaModel';
declare const _sfc_main: import("vue").DefineComponent<{
    fileUrl: {
        type: StringConstructor;
        required: false;
    };
    alt: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    requestWidth: {
        type: NumberConstructor;
        required: false;
    };
    requestHeight: {
        type: NumberConstructor;
        required: false;
    };
    loadingWidth: {
        type: StringConstructor;
        required: false;
    };
    loadingHeight: {
        type: StringConstructor;
        required: false;
    };
    quality: {
        type: NumberConstructor;
        required: false;
    };
    lazy: {
        type: BooleanConstructor;
        required: false;
    };
    preventCopy: {
        type: BooleanConstructor;
        required: false;
    };
    useSrcset: {
        type: BooleanConstructor;
        required: false;
    };
    srcsetMaxResolution: {
        type: NumberConstructor;
        required: false;
    };
    hideImageOnError: {
        type: BooleanConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    controls: {
        type: BooleanConstructor;
        required: false;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    muted: {
        type: BooleanConstructor;
        required: false;
    };
    poster: {
        type: StringConstructor;
        required: false;
    };
    youtubeWidth: {
        type: StringConstructor;
        required: false;
    };
    youtubeHeight: {
        type: StringConstructor;
        required: false;
    };
    imageRatio: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    errorImage: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    blankImage: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
}, {
    props: any;
    mediaType: import("vue").ComputedRef<MediaType>;
    UiImage: import("vue").DefineComponent<{
        fileUrl: {
            type: StringConstructor;
            required: false;
        };
        alt: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        height: {
            type: StringConstructor;
            required: false;
        };
        requestWidth: {
            type: NumberConstructor;
            required: false;
        };
        requestHeight: {
            type: NumberConstructor;
            required: false;
        };
        loadingWidth: {
            type: StringConstructor;
            required: false;
        };
        loadingHeight: {
            type: StringConstructor;
            required: false;
        };
        quality: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        lazy: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        preventCopy: {
            type: BooleanConstructor;
            required: false;
            default: () => boolean;
        };
        useSrcset: {
            type: BooleanConstructor;
            required: false;
        };
        srcsetMaxResolution: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        hideImageOnError: {
            type: BooleanConstructor;
            required: false;
        };
        imageRatio: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        errorImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
        blankImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
    }, {
        props: any;
        shouldUseDefaultImage: import("vue").ComputedRef<boolean>;
        imageResizeAvailable: import("vue").ComputedRef<boolean>;
        createImageUrl: (src?: string | undefined, width?: number | undefined, height?: number | undefined) => string | undefined;
        imageSrc: import("vue").ComputedRef<string | undefined>;
        imageSrcSet: import("vue").ComputedRef<string | undefined>;
        shouldLoad: import("vue").Ref<boolean>;
        startLoadImage: () => void;
        imageLoaded: import("vue").Ref<boolean>;
        setImageLoaded: () => void;
        imageWidth: import("vue").ComputedRef<string | undefined>;
        imageHeight: import("vue").ComputedRef<string | undefined>;
        loadFailed: import("vue").Ref<boolean>;
        setLoadFailed: () => void;
        errorImageUrl: import("vue").ComputedRef<string | undefined>;
        blankImageUrl: import("vue").ComputedRef<string | undefined>;
        imageDisplay: import("vue").ComputedRef<string | undefined>;
        readonly vLazy: import("vue").Directive<any, any>;
        readonly vPreventCopy: import("vue").Directive<any, any>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        fileUrl: {
            type: StringConstructor;
            required: false;
        };
        alt: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        height: {
            type: StringConstructor;
            required: false;
        };
        requestWidth: {
            type: NumberConstructor;
            required: false;
        };
        requestHeight: {
            type: NumberConstructor;
            required: false;
        };
        loadingWidth: {
            type: StringConstructor;
            required: false;
        };
        loadingHeight: {
            type: StringConstructor;
            required: false;
        };
        quality: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        lazy: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        preventCopy: {
            type: BooleanConstructor;
            required: false;
            default: () => boolean;
        };
        useSrcset: {
            type: BooleanConstructor;
            required: false;
        };
        srcsetMaxResolution: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        hideImageOnError: {
            type: BooleanConstructor;
            required: false;
        };
        imageRatio: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        errorImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
        blankImage: {
            type: StringConstructor;
            required: false;
            default: () => string;
        };
    }>>, {
        quality: number;
        lazy: boolean;
        preventCopy: boolean;
        useSrcset: boolean;
        srcsetMaxResolution: number;
        hideImageOnError: boolean;
        imageRatio: number;
        errorImage: string;
        blankImage: string;
    }>;
    UiVideo: import("vue").DefineComponent<{
        fileUrl: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        height: {
            type: StringConstructor;
            required: false;
        };
        autoplay: {
            type: BooleanConstructor;
            required: false;
        };
        controls: {
            type: BooleanConstructor;
            required: false;
        };
        loop: {
            type: BooleanConstructor;
            required: false;
        };
        muted: {
            type: BooleanConstructor;
            required: false;
        };
        poster: {
            type: StringConstructor;
            required: false;
        };
        playsinline: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        lazy: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
    }, {
        props: any;
        videoSrc: import("vue").ComputedRef<string | undefined>;
        posterSrc: import("vue").ComputedRef<string | undefined>;
        playing: import("vue").Ref<boolean>;
        setPlaying: (value: boolean) => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        fileUrl: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        height: {
            type: StringConstructor;
            required: false;
        };
        autoplay: {
            type: BooleanConstructor;
            required: false;
        };
        controls: {
            type: BooleanConstructor;
            required: false;
        };
        loop: {
            type: BooleanConstructor;
            required: false;
        };
        muted: {
            type: BooleanConstructor;
            required: false;
        };
        poster: {
            type: StringConstructor;
            required: false;
        };
        playsinline: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        lazy: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
    }>>, {
        lazy: boolean;
        autoplay: boolean;
        controls: boolean;
        loop: boolean;
        muted: boolean;
        playsinline: boolean;
    }>;
    UiYoutubePlayer: import("vue").DefineComponent<{
        src: {
            type: StringConstructor;
            required: false;
        };
        poster: {
            type: StringConstructor;
            required: false;
        };
        autoplay: {
            type: BooleanConstructor;
            required: false;
        };
        muted: {
            type: BooleanConstructor;
            required: false;
        };
        controls: {
            type: BooleanConstructor;
            required: false;
        };
        loop: {
            type: BooleanConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        height: {
            type: StringConstructor;
            required: false;
        };
        playsinline: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        play: {
            type: BooleanConstructor;
            required: false;
        };
    }, {
        props: any;
        emit: (e: "change", state: import("./UiYoutubePlayerModel").YoutubeState) => void;
        youtube: import("vue").Ref<import("vue").DefineComponent<{
            src: {
                type: import("vue").PropType<string>;
                required: true;
            };
            height: {
                type: import("vue").PropType<string | number>;
                default: number;
            };
            width: {
                type: import("vue").PropType<string | number>;
                default: number;
            };
            host: {
                type: import("vue").PropType<string>;
                default: string;
            };
            vars: import("vue").PropType<YT.PlayerVars>;
        }, unknown, {
            promise: Promise<void>;
            resolver: () => void;
            player: YT.Player | null;
            initiated: boolean;
            ready: boolean;
            iframeStyle: Record<string, string>;
        }, {
            id(): string;
            wrapperStyle(): Record<string, string>;
        }, {
            initPlayer(): void;
            cueVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            loadVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            cueVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            loadVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            cuePlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            loadPlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            playVideo(): void;
            pauseVideo(): void;
            stopVideo(): void;
            seekTo(seconds: number, allowSeekAhead: boolean): void;
            nextVideo(): void;
            previousVideo(): void;
            playVideoAt(index: number): void;
            mute(): void;
            unMute(): void;
            isMuted(): boolean;
            setVolume(volume: number): void;
            getVolume(): number;
            getPlaybackRate(): number;
            setPlaybackRate(suggestedRate: number): void;
            getAvailablePlaybackRates(): number[];
            setLoop(loopPlaylists: boolean): void;
            setShuffle(shufflePlaylist: boolean): void;
            getVideoLoadedFraction(): number;
            getPlayerState(): YT.PlayerState;
            getCurrentTime(): number;
            getPlaybackQuality(): YT.SuggestedVideoQuality;
            setPlaybackQuality(suggestedQuality: YT.SuggestedVideoQuality): void;
            getAvailableQualityLevels(): YT.SuggestedVideoQuality[];
            getDuration(): number;
            getVideoUrl(): string;
            getVideoEmbedCode(): string;
            getPlaylist(): string[];
            getPlaylistIndex(): number;
        }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
            src: string;
            height: string | number;
            width: string | number;
            host: string;
        } & {
            vars?: YT.PlayerVars | undefined;
        }>, {
            height: string | number;
            width: string | number;
            host: string;
        }>>;
        state: import("vue").Ref<import("./UiYoutubePlayerModel").YoutubeState>;
        options: import("vue").ComputedRef<{
            controls: number;
        }>;
        enableMountYoutubePlayer: import("vue").Ref<boolean>;
        youtubeSrc: import("vue").ComputedRef<string | undefined>;
        play: () => void;
        stop: () => void;
        onStateChange: ({ data }: {
            data: number;
        }) => void;
        onReady: () => void;
        posterSrc: import("vue").ComputedRef<string | undefined>;
        readonly YouTube: import("vue").DefineComponent<{
            src: {
                type: import("vue").PropType<string>;
                required: true;
            };
            height: {
                type: import("vue").PropType<string | number>;
                default: number;
            };
            width: {
                type: import("vue").PropType<string | number>;
                default: number;
            };
            host: {
                type: import("vue").PropType<string>;
                default: string;
            };
            vars: import("vue").PropType<YT.PlayerVars>;
        }, unknown, {
            promise: Promise<void>;
            resolver: () => void;
            player: YT.Player | null;
            initiated: boolean;
            ready: boolean;
            iframeStyle: Record<string, string>;
        }, {
            id(): string;
            wrapperStyle(): Record<string, string>;
        }, {
            initPlayer(): void;
            cueVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            loadVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            cueVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            loadVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            cuePlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            loadPlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
            playVideo(): void;
            pauseVideo(): void;
            stopVideo(): void;
            seekTo(seconds: number, allowSeekAhead: boolean): void;
            nextVideo(): void;
            previousVideo(): void;
            playVideoAt(index: number): void;
            mute(): void;
            unMute(): void;
            isMuted(): boolean;
            setVolume(volume: number): void;
            getVolume(): number;
            getPlaybackRate(): number;
            setPlaybackRate(suggestedRate: number): void;
            getAvailablePlaybackRates(): number[];
            setLoop(loopPlaylists: boolean): void;
            setShuffle(shufflePlaylist: boolean): void;
            getVideoLoadedFraction(): number;
            getPlayerState(): YT.PlayerState;
            getCurrentTime(): number;
            getPlaybackQuality(): YT.SuggestedVideoQuality;
            setPlaybackQuality(suggestedQuality: YT.SuggestedVideoQuality): void;
            getAvailableQualityLevels(): YT.SuggestedVideoQuality[];
            getDuration(): number;
            getVideoUrl(): string;
            getVideoEmbedCode(): string;
            getPlaylist(): string[];
            getPlaylistIndex(): number;
        }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
            src: string;
            height: string | number;
            width: string | number;
            host: string;
        } & {
            vars?: YT.PlayerVars | undefined;
        }>, {
            height: string | number;
            width: string | number;
            host: string;
        }>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        src: {
            type: StringConstructor;
            required: false;
        };
        poster: {
            type: StringConstructor;
            required: false;
        };
        autoplay: {
            type: BooleanConstructor;
            required: false;
        };
        muted: {
            type: BooleanConstructor;
            required: false;
        };
        controls: {
            type: BooleanConstructor;
            required: false;
        };
        loop: {
            type: BooleanConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        height: {
            type: StringConstructor;
            required: false;
        };
        playsinline: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        play: {
            type: BooleanConstructor;
            required: false;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        autoplay: boolean;
        controls: boolean;
        loop: boolean;
        muted: boolean;
        playsinline: boolean;
        play: boolean;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    fileUrl: {
        type: StringConstructor;
        required: false;
    };
    alt: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    requestWidth: {
        type: NumberConstructor;
        required: false;
    };
    requestHeight: {
        type: NumberConstructor;
        required: false;
    };
    loadingWidth: {
        type: StringConstructor;
        required: false;
    };
    loadingHeight: {
        type: StringConstructor;
        required: false;
    };
    quality: {
        type: NumberConstructor;
        required: false;
    };
    lazy: {
        type: BooleanConstructor;
        required: false;
    };
    preventCopy: {
        type: BooleanConstructor;
        required: false;
    };
    useSrcset: {
        type: BooleanConstructor;
        required: false;
    };
    srcsetMaxResolution: {
        type: NumberConstructor;
        required: false;
    };
    hideImageOnError: {
        type: BooleanConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    controls: {
        type: BooleanConstructor;
        required: false;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    muted: {
        type: BooleanConstructor;
        required: false;
    };
    poster: {
        type: StringConstructor;
        required: false;
    };
    youtubeWidth: {
        type: StringConstructor;
        required: false;
    };
    youtubeHeight: {
        type: StringConstructor;
        required: false;
    };
    imageRatio: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    errorImage: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    blankImage: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
}>>, {
    lazy: boolean;
    preventCopy: boolean;
    useSrcset: boolean;
    hideImageOnError: boolean;
    imageRatio: number;
    errorImage: string;
    blankImage: string;
    autoplay: boolean;
    controls: boolean;
    loop: boolean;
    muted: boolean;
}>;
export default _sfc_main;
