import { PaginatedList, PaginatedListRequest } from '../model/PaginatedList';
import { ScrollType } from '../config/uiComponentConfig';
import { TotalListLoadInfo } from '../model/TotalList';
declare const _sfc_main: import("vue").DefineComponent<{
    list: {
        type: null;
        required: false;
    };
    listKey: {
        type: StringConstructor;
        required: false;
    };
    scrollType: {
        type: null;
        required: false;
        default: () => ScrollType;
    };
    limit: {
        type: NumberConstructor;
        required: false;
    };
    visiblePageCount: {
        type: NumberConstructor;
        required: false;
    };
    useRouter: {
        type: BooleanConstructor;
        required: false;
    };
    skeletonCount: {
        type: NumberConstructor;
        required: false;
    };
    itemContainerClass: {
        type: StringConstructor;
        required: false;
    };
    skeletonContainerClass: {
        type: StringConstructor;
        required: false;
    };
    paginationClass: {
        type: StringConstructor;
        required: false;
    };
    moreButtonContainerClass: {
        type: StringConstructor;
        required: false;
    };
    loadExplicitly: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    loadOnMount: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}, {
    emit: {
        (e: 'needList', request: PaginatedListRequest, scrollType: ScrollType): void;
        (e: 'listLoaded', loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType): void;
    };
    loadList: (request: PaginatedListRequest, scrollType: ScrollType) => void;
    listLoaded: (loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType) => void;
    UiScrollListPage: import("vue").DefineComponent<{
        list: {
            type: null;
            required: false;
        };
        listKey: {
            type: StringConstructor;
            required: false;
        };
        limit: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        visiblePageCount: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        useRouter: {
            type: BooleanConstructor;
            required: false;
        };
        skeletonCount: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        itemContainerClass: {
            type: StringConstructor;
            required: false;
        };
        skeletonContainerClass: {
            type: StringConstructor;
            required: false;
        };
        paginationClass: {
            type: StringConstructor;
            required: false;
        };
        loadExplicitly: {
            type: BooleanConstructor;
            required: false;
        };
        loadOnMount: {
            type: BooleanConstructor;
            required: false;
        };
    }, {
        props: any;
        emit: {
            (e: "needList", request: PaginatedListRequest, scrollType: ScrollType): void;
            (e: "listLoaded", loadInfo: import('../model/PaginatedList').PaginatedListLoadInfo, scrollType: ScrollType): void;
        };
        isListLoading: import("vue").ComputedRef<boolean>;
        isListLoaded: import("vue").ComputedRef<boolean>;
        isListEmpty: import("vue").ComputedRef<boolean>;
        route: import("vue-router").RouteLocationNormalizedLoaded | undefined;
        router: import("vue-router").Router | undefined;
        currentPage: number;
        loadList: (page: number) => void;
        resetList: () => void;
        UiPagination: import("vue").DefineComponent<{
            totalCount: {
                type: NumberConstructor;
                required: false;
                default: number;
            };
            offset: {
                type: NumberConstructor;
                required: false;
                default: number;
            };
            limit: {
                type: NumberConstructor;
                required: false;
                default: number;
            };
            visiblePageCount: {
                type: NumberConstructor;
                required: false;
                default: number;
            };
            scrollTo: {
                type: (StringConstructor | ObjectConstructor)[];
                required: false;
            };
            scrollBehavior: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            maxPage: {
                type: NumberConstructor;
                required: false;
            };
        }, {
            props: any;
            emit: (e: "pageChanged", page: number) => void;
            totalPage: import("vue").ComputedRef<number>;
            currentPage: import("vue").ComputedRef<number>;
            currentSetFirstPage: import("vue").ComputedRef<number>;
            currentSetLastPage: import("vue").ComputedRef<number>;
            visiblePages: import("vue").ComputedRef<any[]>;
            prevArrowPage: import("vue").ComputedRef<number>;
            nextArrowPage: import("vue").ComputedRef<number>;
            isFirstSet: import("vue").ComputedRef<boolean>;
            isLastSet: import("vue").ComputedRef<boolean>;
            goToPage: (page: number) => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "pageChanged"[], "pageChanged", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
            totalCount: {
                type: NumberConstructor;
                required: false;
                default: number;
            };
            offset: {
                type: NumberConstructor;
                required: false;
                default: number;
            };
            limit: {
                type: NumberConstructor;
                required: false;
                default: number;
            };
            visiblePageCount: {
                type: NumberConstructor;
                required: false;
                default: number;
            };
            scrollTo: {
                type: (StringConstructor | ObjectConstructor)[];
                required: false;
            };
            scrollBehavior: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            maxPage: {
                type: NumberConstructor;
                required: false;
            };
        }>> & {
            onPageChanged?: ((...args: any[]) => any) | undefined;
        }, {
            totalCount: number;
            offset: number;
            limit: number;
            visiblePageCount: number;
            scrollBehavior: string;
        }>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("needList" | "listLoaded")[], "needList" | "listLoaded", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        list: {
            type: null;
            required: false;
        };
        listKey: {
            type: StringConstructor;
            required: false;
        };
        limit: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        visiblePageCount: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        useRouter: {
            type: BooleanConstructor;
            required: false;
        };
        skeletonCount: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        itemContainerClass: {
            type: StringConstructor;
            required: false;
        };
        skeletonContainerClass: {
            type: StringConstructor;
            required: false;
        };
        paginationClass: {
            type: StringConstructor;
            required: false;
        };
        loadExplicitly: {
            type: BooleanConstructor;
            required: false;
        };
        loadOnMount: {
            type: BooleanConstructor;
            required: false;
        };
    }>> & {
        onNeedList?: ((...args: any[]) => any) | undefined;
        onListLoaded?: ((...args: any[]) => any) | undefined;
    }, {
        limit: number;
        visiblePageCount: number;
        useRouter: boolean;
        skeletonCount: number;
        loadExplicitly: boolean;
        loadOnMount: boolean;
    }>;
    UiScrollListAppend: import("vue").DefineComponent<{
        list: {
            type: null;
            required: false;
        };
        listKey: {
            type: StringConstructor;
            required: false;
        };
        limit: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        appendType: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        skeletonCount: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        itemContainerClass: {
            type: StringConstructor;
            required: false;
        };
        skeletonContainerClass: {
            type: StringConstructor;
            required: false;
        };
        moreButtonContainerClass: {
            type: StringConstructor;
            required: false;
        };
        loadExplicitly: {
            type: BooleanConstructor;
            required: false;
        };
        loadOnMount: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
    }, {
        props: any;
        emit: {
            (e: "needList", request: PaginatedListRequest, scrollType: ScrollType): void;
            (e: "listLoaded", loadInfo: TotalListLoadInfo<unknown>, scrollType: ScrollType): void;
        };
        totalList: {
            data: unknown[];
            totalCount: number;
            loadedCount: number;
            append: (list?: PaginatedList<unknown> | undefined) => void;
            isBeforeInitialized: () => boolean;
            isEmpty: () => boolean;
            clear: () => void;
            isMoreDataAvailable: () => boolean;
        };
        isListLoading: import("vue").ComputedRef<boolean>;
        isListLoaded: import("vue").ComputedRef<boolean>;
        isListEmpty: import("vue").ComputedRef<boolean>;
        isMoreDataAvailable: import("vue").ComputedRef<boolean>;
        loadList: () => void;
        resetTotalList: () => void;
        moreCaption: string;
        moreButtonIcon: string;
        moreButtonDirection: "left" | "right" | "top";
        UiButton: import("vue").DefineComponent<{
            caption: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            href: {
                type: StringConstructor;
                required: false;
            };
            replace: {
                type: BooleanConstructor;
                required: false;
            };
            routerTo: {
                type: StringConstructor;
                required: false;
            };
            buttonType: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            icon: {
                type: StringConstructor;
                required: false;
            };
            iconDirection: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                required: false;
            };
        }, {
            props: any;
            iconClass: import("vue").ComputedRef<string>;
            extraClass: import("vue").ComputedRef<string>;
            isComponentLink: import("vue").ComputedRef<boolean>;
            checkComponentLinkOrButton: import("vue").ComputedRef<"button" | import("vue").DefineComponent<{
                href: {
                    type: StringConstructor;
                    required: false;
                };
                target: {
                    type: StringConstructor;
                    required: false;
                };
                replace: {
                    type: BooleanConstructor;
                    required: false;
                };
            }, {
                props: any;
                isTargetSelf: import("vue").ComputedRef<boolean>;
                instance: import("vue").ComponentInternalInstance | null;
                isVueRouterInstalled: boolean;
                router: import("vue-router").Router | undefined;
                routerBase: string;
                isInternalLink: import("vue").ComputedRef<"" | "RELATIVE_PATH" | "SAME_ORIGIN" | undefined>;
                computedHref: import("vue").ComputedRef<string | undefined>;
                component: import("vue").ComputedRef<import("vue-router")._RouterLinkI | "a">;
            }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                href: {
                    type: StringConstructor;
                    required: false;
                };
                target: {
                    type: StringConstructor;
                    required: false;
                };
                replace: {
                    type: BooleanConstructor;
                    required: false;
                };
            }>>, {
                replace: boolean;
            }>>;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
            caption: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            href: {
                type: StringConstructor;
                required: false;
            };
            replace: {
                type: BooleanConstructor;
                required: false;
            };
            routerTo: {
                type: StringConstructor;
                required: false;
            };
            buttonType: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            icon: {
                type: StringConstructor;
                required: false;
            };
            iconDirection: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                required: false;
            };
        }>>, {
            caption: string;
            replace: boolean;
            buttonType: string;
            iconDirection: string;
            disabled: boolean;
        }>;
        readonly vLazy: import("vue").Directive<any, any>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("needList" | "listLoaded")[], "needList" | "listLoaded", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        list: {
            type: null;
            required: false;
        };
        listKey: {
            type: StringConstructor;
            required: false;
        };
        limit: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        appendType: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        skeletonCount: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        itemContainerClass: {
            type: StringConstructor;
            required: false;
        };
        skeletonContainerClass: {
            type: StringConstructor;
            required: false;
        };
        moreButtonContainerClass: {
            type: StringConstructor;
            required: false;
        };
        loadExplicitly: {
            type: BooleanConstructor;
            required: false;
        };
        loadOnMount: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
    }>> & {
        onNeedList?: ((...args: any[]) => any) | undefined;
        onListLoaded?: ((...args: any[]) => any) | undefined;
    }, {
        limit: number;
        skeletonCount: number;
        loadExplicitly: boolean;
        loadOnMount: boolean;
        appendType: string;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("needList" | "listLoaded")[], "needList" | "listLoaded", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    list: {
        type: null;
        required: false;
    };
    listKey: {
        type: StringConstructor;
        required: false;
    };
    scrollType: {
        type: null;
        required: false;
        default: () => ScrollType;
    };
    limit: {
        type: NumberConstructor;
        required: false;
    };
    visiblePageCount: {
        type: NumberConstructor;
        required: false;
    };
    useRouter: {
        type: BooleanConstructor;
        required: false;
    };
    skeletonCount: {
        type: NumberConstructor;
        required: false;
    };
    itemContainerClass: {
        type: StringConstructor;
        required: false;
    };
    skeletonContainerClass: {
        type: StringConstructor;
        required: false;
    };
    paginationClass: {
        type: StringConstructor;
        required: false;
    };
    moreButtonContainerClass: {
        type: StringConstructor;
        required: false;
    };
    loadExplicitly: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    loadOnMount: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}>> & {
    onNeedList?: ((...args: any[]) => any) | undefined;
    onListLoaded?: ((...args: any[]) => any) | undefined;
}, {
    scrollType: any;
    useRouter: boolean;
    loadExplicitly: boolean;
    loadOnMount: boolean;
}>;
export default _sfc_main;
