import { PaginatedListLoadInfo, PaginatedListRequest } from '../model/PaginatedList';
import { ScrollType } from '../config/uiComponentConfig';
declare const _sfc_main: import("vue").DefineComponent<{
    list: {
        type: null;
        required: false;
    };
    listKey: {
        type: StringConstructor;
        required: false;
    };
    limit: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    visiblePageCount: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    useRouter: {
        type: BooleanConstructor;
        required: false;
    };
    skeletonCount: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    itemContainerClass: {
        type: StringConstructor;
        required: false;
    };
    skeletonContainerClass: {
        type: StringConstructor;
        required: false;
    };
    paginationClass: {
        type: StringConstructor;
        required: false;
    };
    loadExplicitly: {
        type: BooleanConstructor;
        required: false;
    };
    loadOnMount: {
        type: BooleanConstructor;
        required: false;
    };
}, {
    props: any;
    emit: {
        (e: 'needList', request: PaginatedListRequest, scrollType: ScrollType): void;
        (e: 'listLoaded', loadInfo: PaginatedListLoadInfo, scrollType: ScrollType): void;
    };
    isListLoading: import("vue").ComputedRef<boolean>;
    isListLoaded: import("vue").ComputedRef<boolean>;
    isListEmpty: import("vue").ComputedRef<boolean>;
    route: import("vue-router").RouteLocationNormalizedLoaded | undefined;
    router: import("vue-router").Router | undefined;
    currentPage: number;
    loadList: (page: number) => void;
    resetList: () => void;
    UiPagination: import("vue").DefineComponent<{
        totalCount: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        offset: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        limit: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        visiblePageCount: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        scrollTo: {
            type: (StringConstructor | ObjectConstructor)[];
            required: false;
        };
        scrollBehavior: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        maxPage: {
            type: NumberConstructor;
            required: false;
        };
    }, {
        props: any;
        emit: (e: "pageChanged", page: number) => void;
        totalPage: import("vue").ComputedRef<number>;
        currentPage: import("vue").ComputedRef<number>;
        currentSetFirstPage: import("vue").ComputedRef<number>;
        currentSetLastPage: import("vue").ComputedRef<number>;
        visiblePages: import("vue").ComputedRef<any[]>;
        prevArrowPage: import("vue").ComputedRef<number>;
        nextArrowPage: import("vue").ComputedRef<number>;
        isFirstSet: import("vue").ComputedRef<boolean>;
        isLastSet: import("vue").ComputedRef<boolean>;
        goToPage: (page: number) => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "pageChanged"[], "pageChanged", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        totalCount: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        offset: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        limit: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        visiblePageCount: {
            type: NumberConstructor;
            required: false;
            default: number;
        };
        scrollTo: {
            type: (StringConstructor | ObjectConstructor)[];
            required: false;
        };
        scrollBehavior: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        maxPage: {
            type: NumberConstructor;
            required: false;
        };
    }>> & {
        onPageChanged?: ((...args: any[]) => any) | undefined;
    }, {
        totalCount: number;
        offset: number;
        limit: number;
        visiblePageCount: number;
        scrollBehavior: string;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("needList" | "listLoaded")[], "needList" | "listLoaded", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    list: {
        type: null;
        required: false;
    };
    listKey: {
        type: StringConstructor;
        required: false;
    };
    limit: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    visiblePageCount: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    useRouter: {
        type: BooleanConstructor;
        required: false;
    };
    skeletonCount: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    itemContainerClass: {
        type: StringConstructor;
        required: false;
    };
    skeletonContainerClass: {
        type: StringConstructor;
        required: false;
    };
    paginationClass: {
        type: StringConstructor;
        required: false;
    };
    loadExplicitly: {
        type: BooleanConstructor;
        required: false;
    };
    loadOnMount: {
        type: BooleanConstructor;
        required: false;
    };
}>> & {
    onNeedList?: ((...args: any[]) => any) | undefined;
    onListLoaded?: ((...args: any[]) => any) | undefined;
}, {
    limit: number;
    visiblePageCount: number;
    useRouter: boolean;
    skeletonCount: number;
    loadExplicitly: boolean;
    loadOnMount: boolean;
}>;
export default _sfc_main;
